Skip to main content
PATCH
/
api
/
v1
/
app-connections
/
azure-devops
/
{connectionId}
cURL
curl --request PATCH \
  --url https://us.infisical.com/api/v1/app-connections/azure-devops/{connectionId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "credentials": {
    "code": "<string>",
    "tenantId": "<string>",
    "orgName": "<string>"
  },
  "name": "<string>",
  "description": "<string>",
  "isPlatformManagedCredentials": false,
  "gatewayId": "<unknown>",
  "isAutoRotationEnabled": false,
  "rotation": "<unknown>"
}
'
{
  "appConnection": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "app": "azure-devops",
    "method": "oauth",
    "credentials": {
      "tenantId": "<string>",
      "orgName": "<string>"
    },
    "description": "<string>",
    "version": 1,
    "isPlatformManagedCredentials": false,
    "gatewayId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "projectId": "<string>",
    "isAutoRotationEnabled": false,
    "rotation": {
      "rotationInterval": 123,
      "rotationStatus": "success",
      "rotateAtUtc": {
        "hours": 123,
        "minutes": 123
      },
      "lastRotationMessage": "<string>",
      "nextRotationAt": "2023-11-07T05:31:56Z"
    },
    "credentialsHash": "<string>",
    "project": {
      "name": "<string>",
      "id": "<string>",
      "type": "<string>",
      "slug": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Azure DevOps Connections must be updated through the Infisical UI if you are using OAuth. Check out the configuration docs for Azure DevOps Connections for a step-by-step guide.

Path Parameters

connectionId
string<uuid>
required

The ID of the Azure DevOps Connection to be updated.

Body

application/json
credentials
object

The credentials used to connect with Azure DevOps.

name
string

The updated name of the Azure DevOps Connection. Must be slug-friendly.

Required string length: 1 - 64
description
string | null

The updated description of the Azure DevOps Connection.

Maximum string length: 256
isPlatformManagedCredentials
enum<boolean>

Not supported for Azure DevOps Connections.

Available options:
false
gatewayId

Not supported for Azure DevOps Connections.

isAutoRotationEnabled
enum<boolean>

Not supported for Azure DevOps Connections.

Available options:
false
rotation

Not supported for Azure DevOps Connections.

Response

Default Response

appConnection
Azure DevOps (OAuth) · object
required